<?php
$title = 'Просмотр категории';
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/head.php');
admin(3);
$_GET['id'] = abs(intval($_GET['id']));
$query = $db->query("SELECT * FROM `categories` WHERE `id`='".$_GET['id']."'");
if($query->num_rows == 0){
	header('location:/admin/categories');
}
$categorie = $query->fetch_assoc();
if(isset($_POST['ok'])){
	$_POST['name'] = input($_POST['name']);
	if(empty($_POST['name'])){

	}else{
		$db->query("INSERT INTO `categories` SET `name`='".$_POST['name']."', `podkat`='".$_GET['id']."'");
		header('location:/admin/categories/'.$_GET['id']);
	}
}
?>
Название: <?=output($categorie['name'])?> [<a href="/admin/categories/<?=$categorie['id']?>/edit">Редактировать</a>]<br>
<a href="/admin/categories/<?=$categorie['id']?>/delete" style="font-color: red; text-decoration: none;">Удалить категорию</a><br>
<?php
$query = $db->query("SELECT * FROM `categories` WHERE `podkat`='".$_GET['id']."'");
if($query->num_rows!=0){
	?>
	<h3>Подкатегории:</h3>
	<?php
	while($podkat = $query->fetch_assoc()){
		?>
		<a href="/admin/categories/<?=$podkat['id']?>"><?=output($podkat['name'])?></a>
		<?php
	}
}
?>
<h3>Создать подкатегорию:</h3>
<form action="" method="POST">
	Название:<br>
	<input type="text" name="name"><br>
	<input type="submit" name="ok" value="Создать">
</form>
<?php
include_once($_SERVER["DOCUMENT_ROOT"].'/php/style/foot.php');
?>